diff --git a/drupal7/sites/all/modules/ldap/ldap_query/LdapQueryAdmin.class.php b/drupal7/sites/all/modules/ldap/ldap_query/LdapQueryAdmin.class.php
index 2e28ca07..5f8f8dfd 100644
--- a/drupal7/sites/all/modules/ldap/ldap_query/LdapQueryAdmin.class.php
+++ b/drupal7/sites/all/modules/ldap/ldap_query/LdapQueryAdmin.class.php
@@ -2,20 +2,23 @@
 
 /**
  * @file
- * LDAP Query Admin Class
- *
+ * LDAP Query Admin Class.
  */
 
 module_load_include('php', 'ldap_query', 'LdapQuery.class');
-
+/**
+ *
+ */
 class LdapQueryAdmin extends LdapQuery {
 
   /**
-   * @param string $sid either 'all' or the ldap server sid
-   * @param $type = 'all', 'enabled'
+   * @param string $sid
+   *   either 'all' or the ldap server sid.
+   * @param $type
+   *   = 'all', 'enabled'
    */
   public static function getLdapQueryObjects($sid = 'all', $type = 'enabled', $class = 'LdapQuery') {
-    $queries = array();
+    $queries = [];
     if (module_exists('ctools')) {
       ctools_include('export');
       $select = ctools_export_load_object('ldap_query', 'all');
@@ -28,8 +31,8 @@ class LdapQueryAdmin extends LdapQuery {
       }
       catch (Exception $e) {
         drupal_set_message(t('query index query failed. Message = %message, query= %query',
-          array('%message' => $e->getMessage(), '%query' => $e->query_string)), 'error');
-        return array();
+          ['%message' => $e->getMessage(), '%query' => $e->query_string]), 'error');
+        return [];
       }
     }
     foreach ($select as $result) {
@@ -46,10 +49,16 @@ class LdapQueryAdmin extends LdapQuery {
 
   }
 
-  function __construct($qid) {
+  /**
+   *
+   */
+  public function __construct($qid) {
     parent::__construct($qid);
   }
 
+  /**
+   *
+   */
   protected function populateFromDrupalForm($op, $values) {
 
     foreach ($this->fields() as $field_id => $field) {
@@ -66,31 +75,36 @@ class LdapQueryAdmin extends LdapQuery {
     $this->inDatabase = ($op == 'edit');
   }
 
+  /**
+   *
+   */
   public function save($op) {
 
     $op = $this->inDatabase ? 'edit' : 'insert';
 
-    if (module_exists('ctools')) { // add or edit with ctolls
+    // Add or edit with ctolls.
+    if (module_exists('ctools')) {
 
       ctools_include('export');
       $ctools_values = clone $this;
 
       foreach ($this->fields() as $field_id => $field) {
         $value = $this->{$field['property_name']};
-        if (isset($field['exportable']) && $field['exportable'] === FALSE) { // field not exportable
+        // Field not exportable.
+        if (isset($field['exportable']) && $field['exportable'] === FALSE) {
           unset($ctools_values->{$field['property_name']});
         }
-        elseif (isset($field['schema']) && $field['property_name'] != $field_id) { // field in property with different name
+        // Field in property with different name.
+        elseif (isset($field['schema']) && $field['property_name'] != $field_id) {
           $ctools_values->{$field_id} = $value;
           unset($ctools_values->{$field['property_name']});
         }
         else {
-          // do nothing.  property is already in cloned objecat
-
+          // Do nothing.  property is already in cloned objecat.
         }
       }
 
-      // Populate our object with ctool's properties.  copying all properties for backward compatibility
+      // Populate our object with ctool's properties.  copying all properties for backward compatibility.
       $object = ctools_export_crud_new('ldap_query');
 
       foreach ($object as $property_name => $value) {
@@ -99,19 +113,22 @@ class LdapQueryAdmin extends LdapQuery {
         }
       }
       $result = ctools_export_crud_save('ldap_query', $ctools_values);
-      ctools_export_load_object_reset('ldap_query'); // ctools_export_crud_save doesn't invalidate cache
+      // ctools_export_crud_save doesn't invalidate cache.
+      ctools_export_load_object_reset('ldap_query');
     }
     else {
-      $values = array();
+      $values = [];
       foreach ($this->fields() as $field_id => $field) {
         if (isset($field['schema'])) {
           $values[$field_id] = $this->{$field['property_name']};
         }
       }
-      if ($op == 'edit') { // edit w/o ctools
+      // Edit w/o ctools.
+      if ($op == 'edit') {
         $result = drupal_write_record('ldap_query', $values, 'qid');
       }
-      else { // insert
+      // Insert.
+      else {
         $result = drupal_write_record('ldap_query', $values);
       }
     }
@@ -124,6 +141,9 @@ class LdapQueryAdmin extends LdapQuery {
     }
   }
 
+  /**
+   *
+   */
   public function delete($qid) {
     if ($qid == $this->qid) {
       $this->inDatabase = FALSE;
@@ -138,51 +158,56 @@ class LdapQueryAdmin extends LdapQuery {
     }
   }
 
+  /**
+   *
+   */
   public function getActions() {
-    $switch = ($this->status ) ? 'disable' : 'enable';
-    $actions = array();
+    $switch = ($this->status) ? 'disable' : 'enable';
+    $actions = [];
     $actions[] = l(t('edit'), LDAP_QUERY_MENU_BASE_PATH . '/query/edit/' . $this->qid);
     if (property_exists($this, 'type')) {
       if ($this->type == 'Overridden') {
-          $actions[] = l(t('revert'), LDAP_QUERY_MENU_BASE_PATH . '/query/delete/' . $this->qid);
+        $actions[] = l(t('revert'), LDAP_QUERY_MENU_BASE_PATH . '/query/delete/' . $this->qid);
       }
       if ($this->type == 'Normal') {
-          $actions[] = l(t('delete'), LDAP_QUERY_MENU_BASE_PATH . '/query/delete/' . $this->qid);
+        $actions[] = l(t('delete'), LDAP_QUERY_MENU_BASE_PATH . '/query/delete/' . $this->qid);
       }
     }
     else {
-        $actions[] = l(t('delete'), LDAP_QUERY_MENU_BASE_PATH . '/query/delete/' . $this->qid);
+      $actions[] = l(t('delete'), LDAP_QUERY_MENU_BASE_PATH . '/query/delete/' . $this->qid);
     }
     $actions[] = l(t('test'), LDAP_QUERY_MENU_BASE_PATH . '/query/test/' . $this->qid);
     $actions[] = l($switch, LDAP_QUERY_MENU_BASE_PATH . '/query/' . $switch . '/' . $this->qid);
     return $actions;
   }
 
+  /**
+   *
+   */
   public function drupalForm($op) {
     $form['#prefix'] = t('<p>Setup an LDAP query to be used by other modules
       such as LDAP Feeds.</p>');
 
-    $form['basic'] = array(
+    $form['basic'] = [
       '#type' => 'fieldset',
       '#title' => t('Basic LDAP Query Settings'),
       '#collapsible' => TRUE,
       '#collapsed' => FALSE,
-    );
+    ];
 
-    $form['query'] = array(
+    $form['query'] = [
       '#type' => 'fieldset',
       '#title' => t('Query'),
       '#collapsible' => TRUE,
       '#collapsed' => FALSE,
-    );
+    ];
 
-    $form['query_advanced'] = array(
+    $form['query_advanced'] = [
       '#type' => 'fieldset',
       '#title' => t('Advanced Query Settings'),
       '#collapsible' => TRUE,
       '#collapsed' => TRUE,
-    );
-
+    ];
 
     foreach ($this->fields() as $field_id => $field) {
       $field_group = isset($field['form']['field_group']) ? $field['form']['field_group'] : FALSE;
@@ -191,7 +216,8 @@ class LdapQueryAdmin extends LdapQuery {
         $form_item['#default_value'] = $this->{$field['property_name']};
         if ($field_group) {
           $form[$field_group][$field_id] = $form_item;
-          unset($form[$field_group][$field_id]['field_group']); // sirrelevant to form api
+          // Sirrelevant to form api.
+          unset($form[$field_group][$field_id]['field_group']);
         }
         else {
           $form[$field_id] = $form_item;
@@ -211,24 +237,26 @@ class LdapQueryAdmin extends LdapQuery {
 
     $form['basic']['sid']['#options'] = $server_options;
 
-    $form['submit'] = array(
+    $form['submit'] = [
       '#type' => 'submit',
       '#value' => t('Save Query'),
-    );
+    ];
 
     $action = ($op == 'add') ? 'Add' : 'Update';
-      $form['submit'] = array(
+    $form['submit'] = [
       '#type' => 'submit',
       '#value' => $action,
       '#weight' => 100,
-    );
+    ];
 
     return $form;
   }
 
-
-  public function drupalFormValidate($op, $values)  {
-    $errors = array();
+  /**
+   *
+   */
+  public function drupalFormValidate($op, $values) {
+    $errors = [];
 
     if ($op == 'delete') {
       if (!$this->qid) {
@@ -242,14 +270,17 @@ class LdapQueryAdmin extends LdapQuery {
     return $errors;
   }
 
+  /**
+   *
+   */
   protected function validate($op) {
-    $errors = array();
+    $errors = [];
     if ($op == 'add') {
       $ldap_queries = $this->getLdapQueryObjects('all', 'all');
       if (count($ldap_queries)) {
         foreach ($ldap_queries as $qid => $ldap_query) {
           if ($this->qid == $ldap_query->qid) {
-            $errors['qid'] = t('An LDAP Query with the name %qid already exists.', array('%qid' => $this->qid));
+            $errors['qid'] = t('An LDAP Query with the name %qid already exists.', ['%qid' => $this->qid]);
           }
         }
       }
@@ -258,6 +289,9 @@ class LdapQueryAdmin extends LdapQuery {
     return $errors;
   }
 
+  /**
+   *
+   */
   public function drupalFormSubmit($op, $values) {
 
     $this->populateFromDrupalForm($op, $values);
@@ -265,7 +299,8 @@ class LdapQueryAdmin extends LdapQuery {
     if ($op == 'delete') {
       $this->delete($this);
     }
-    else { // add or edit
+    // Add or edit.
+    else {
       try {
         $save_result = $this->save($op);
       }
@@ -276,6 +311,9 @@ class LdapQueryAdmin extends LdapQuery {
     }
   }
 
+  /**
+   *
+   */
   protected function arrayToLines($array) {
     $lines = "";
     if (is_array($array)) {
@@ -287,8 +325,9 @@ class LdapQueryAdmin extends LdapQuery {
     return $lines;
   }
 
-
-
+  /**
+   *
+   */
   protected function arrayToCsv($array) {
     return join(",", $array);
   }
diff --git a/drupal7/sites/all/modules/ldap/ldap_query/ldap_query.admin.inc b/drupal7/sites/all/modules/ldap/ldap_query/ldap_query.admin.inc
index 39e04b2e..0a275a0f 100644
--- a/drupal7/sites/all/modules/ldap/ldap_query/ldap_query.admin.inc
+++ b/drupal7/sites/all/modules/ldap/ldap_query/ldap_query.admin.inc
@@ -2,19 +2,19 @@
 
 /**
  * @file
- * Defines functions for administrative interface for servers
- *
+ * Defines functions for administrative interface for servers.
  */
 
 /**
- * @return index of ldap queries
+ * @return string
+ *   Index of ldap queries
  */
-
 function ldap_query_index() {
 
   return ldap_query_list(NULL, TRUE);
 
 }
+
 /**
  * LDAP queries list.
  *
@@ -22,24 +22,24 @@ function ldap_query_index() {
  *   query id.  if empty list all queries
  * @param $actions
  *   True or False indicating if query edit, delete, enable, disable, etc links should show in table
+ *
  * @return
  *   The HTML table with the servers list.
  */
 function ldap_query_list($qid = NULL, $actions = FALSE) {
 
   $ldap_queries = ldap_query_get_queries($qid, 'all');
-  $variables = array(
+  $variables = [
     'ldap_queries' => $ldap_queries,
     'action' => TRUE,
     'type' => 'table',
-    );
+  ];
 
   $html = theme('ldap_query_list', $variables);
 
   return $html;
 }
 
-
 /**
  * Implements the LDAP query edit page.
  *
@@ -53,7 +53,6 @@ function ldap_query_list($qid = NULL, $actions = FALSE) {
  * @return
  *   The form structure.
  */
-
 function ldap_query_admin_form($form, &$form_state, $op = NULL, $qid = NULL) {
   ldap_servers_module_load_include('php', 'ldap_query', 'LdapQueryAdmin.class');
   $server = new LdapQueryAdmin($qid);
@@ -73,13 +72,6 @@ function ldap_query_admin_form_validate($form, &$form_state) {
   foreach ($errors as $error_name => $error_text) {
     form_set_error($error_name, t($error_text));
   }
- // $warnings = $server->drupalFormWarnings($op, $form_state['values']);
-  //foreach ($warnings as $warning_name => $warning_text) {
-   // drupal_set_message($warning_text, 'warning');
-  //}
-
-  //$form_state['ldap_warnings'] = (boolean)(count($warnings) > 0);
-
 }
 
 /**
@@ -91,18 +83,19 @@ function ldap_query_admin_form_submit($form, &$form_state) {
   $verb = ($op == 'edit') ? 'edited' : $op . 'ed';
   ldap_servers_module_load_include('php', 'ldap_query', 'LdapQueryAdmin.class');
   $query = new LdapQueryAdmin($form_state['values']['qid']);
-  $query->drupalFormSubmit($op, $form_state['values']);  // add form data to object and save or create
+  // Add form data to object and save or create.
+  $query->drupalFormSubmit($op, $form_state['values']);
 
   if ($query->hasError() == FALSE) {
-    drupal_set_message(t('LDAP Query %name !verb.', array('!verb' => $verb, '%name' => $query->name)), 'status');
+    drupal_set_message(t('LDAP Query %name !verb.', ['!verb' => $verb, '%name' => $query->name]), 'status');
     ldap_query_cache_clear();
-   // if ($form_state['ldap_warnings'] && $op != 'add') {
-      // do nothing, but don't redirect away from form.
-      // if there are warnings, want them to see form even if its been saved
-   // }
-   // else {
-      drupal_goto(LDAP_QUERY_MENU_BASE_PATH . '/query');
-   // }
+    // If ($form_state['ldap_warnings'] && $op != 'add') {
+    // do nothing, but don't redirect away from form.
+    // if there are warnings, want them to see form even if its been saved
+    // }
+    // else {.
+    drupal_goto(LDAP_QUERY_MENU_BASE_PATH . '/query');
+    // }.
   }
   else {
     form_set_error($query->errorName(), $query->errorMsg());
@@ -124,27 +117,27 @@ function ldap_query_admin_form_submit($form, &$form_state) {
  */
 function ldap_query_admin_delete($form, &$form_state, $op = NULL, $qid = NULL) {
 
-
   if ($qid && ($ldap_query = ldap_query_get_queries($qid, 'all', TRUE))) {
     // array()
-
-    $variables = array(
-      'ldap_query' => $ldap_query, 'actions' => FALSE, 'type' => 'detail'
-    );
+    $variables = [
+      'ldap_query' => $ldap_query,
+      'actions' => FALSE,
+      'type' => 'detail',
+    ];
     $form['#prefix'] = '<div>' . theme('ldap_query', $variables) . '</div>';
-    $form['qid'] = array(
+    $form['qid'] = [
       '#type' => 'hidden',
       '#value' => $qid,
-    );
-    $form['name'] = array(
+    ];
+    $form['name'] = [
       '#type' => 'hidden',
       '#value' => $ldap_query->name,
-    );
+    ];
     return confirm_form(
       $form,
       'Delete Confirmation Form',
       LDAP_QUERY_MENU_BASE_PATH . '/query/list',
-        '<p>' . t('Are you sure you want to delete the LDAP query named <em><strong>%name</strong></em> ?', array('%name' => $ldap_query->name)) . '</p><p>' .
+        '<p>' . t('Are you sure you want to delete the LDAP query named <em><strong>%name</strong></em> ?', ['%name' => $ldap_query->name]) . '</p><p>' .
         t('This action cannot be undone.') . '</p>',
       t('Delete'),
       t('Cancel')
@@ -163,7 +156,7 @@ function ldap_query_admin_delete_submit($form, &$form_state) {
   $ldap_query = new LdapQueryAdmin($qid);
   if ($values['confirm'] && $qid) {
     if ($result = $ldap_query->delete($qid)) {
-      $tokens = array('%name' => $ldap_query->name, '!qid' => $qid);
+      $tokens = ['%name' => $ldap_query->name, '!qid' => $qid];
       drupal_set_message(t('LDAP Server %name (query id = !qid) has been deleted.', $tokens), 'status');
       watchdog('ldap_query', 'LDAP Query deleted: %name (qid = !qid) ', $tokens);
     }
@@ -178,9 +171,8 @@ function ldap_query_admin_delete_submit($form, &$form_state) {
   drupal_goto(LDAP_QUERY_MENU_BASE_PATH . '/query/list');
 }
 
-
 /**
- * Implements the LDAP query disable
+ * Implements the LDAP query disable.
  *
  * @param $form_state
  *   A form state array.
@@ -190,31 +182,31 @@ function ldap_query_admin_delete_submit($form, &$form_state) {
  * @return
  *   The form structure.
  */
-
-
 function ldap_query_admin_enable_disable($form, &$form_state, $action = NULL, $qid = NULL) {
 
   if ($ldap_query = ldap_query_get_queries($qid, 'all', TRUE)) {
-    $variables = array(
-      'ldap_query' => $ldap_query, 'actions' => FALSE, 'type' => 'detail'
-    );
+    $variables = [
+      'ldap_query' => $ldap_query,
+      'actions' => FALSE,
+      'type' => 'detail',
+    ];
     $form['#prefix'] = "<div>" . theme('ldap_query', $variables) . "</div>";
 
-    $form['qid'] = array(
+    $form['qid'] = [
       '#type' => 'hidden',
       '#value' => $qid,
-    );
-    $form['name'] = array(
+    ];
+    $form['name'] = [
       '#type' => 'hidden',
       '#value' => $ldap_query->name,
-    );
-    $form['action'] = array(
+    ];
+    $form['action'] = [
       '#type' => 'hidden',
       '#value' => $action,
-    );
+    ];
     return confirm_form(
       $form,
-      t('Are you sure you want to') . t($action) . ' ' . t('the LDAP query named <em><strong>%name</strong></em>?', array('%name' => $ldap_query->name)),
+      t('Are you sure you want to') . t($action) . ' ' . t('the LDAP query named <em><strong>%name</strong></em>?', ['%name' => $ldap_query->name]),
       LDAP_QUERY_MENU_BASE_PATH . '/query/list',
       t('<p></p>'),
       t($action),
@@ -238,7 +230,7 @@ function ldap_query_admin_enable_disable_submit($form, &$form_state) {
 
     $ldap_query->status = $status;
     $ldap_query->save('edit');
-    $tokens = array('%name' => $values['name'], '!qid' => $qid, '!action' => t($values['action']) . 'd');
+    $tokens = ['%name' => $values['name'], '!qid' => $qid, '!action' => t($values['action']) . 'd'];
     drupal_set_message(t('LDAP Query Configuration %name (query id = !qid) has been !action.', $tokens));
     $message = t('LDAP Query !action: %name (qid = !qid) ', $tokens);
     watchdog('ldap_query', $message);
@@ -247,14 +239,15 @@ function ldap_query_admin_enable_disable_submit($form, &$form_state) {
 
 }
 
-
+/**
+ *
+ */
 function ldap_query_test($qid) {
 
   $ldap_query = ldap_query_get_queries($qid, 'all', TRUE);
   $results = $ldap_query->query();
-  $display = theme('ldap_query_results', array('results' => $results, 'ldap_query' => $ldap_query, 'show_query' => TRUE));
+  $display = theme('ldap_query_results', ['results' => $results, 'ldap_query' => $ldap_query, 'show_query' => TRUE]);
 
   return $display;
 
-
 }
diff --git a/drupal7/sites/all/modules/ldap/ldap_query/ldap_query.inc b/drupal7/sites/all/modules/ldap/ldap_query/ldap_query.inc
index 2a7e756a..311c8ffc 100644
--- a/drupal7/sites/all/modules/ldap/ldap_query/ldap_query.inc
+++ b/drupal7/sites/all/modules/ldap/ldap_query/ldap_query.inc
@@ -2,24 +2,23 @@
 
 /**
  * @file
- *
  */
 
 /**
- * see ldap_query_get_servers()
+ * See ldap_query_get_servers()
  */
 function _ldap_query_get_queries($qid, $type, $flatten, $reset) {
   ldap_servers_module_load_include('php', 'ldap_query', 'LdapQueryAdmin.class');
   static $queries;
 
   if ($reset) {
-    $queries = array();
+    $queries = [];
   }
   if (!isset($queries['all'])) {
     $queries['all'] = LdapQueryAdmin::getLdapQueryObjects('all', 'all');
   }
   if (!isset($queries['enabled'])) {
-    $queries['enabled'] = array();
+    $queries['enabled'] = [];
     foreach ($queries['all'] as $_qid => $ldap_query) {
       if ($ldap_query->status == 1) {
         $queries['enabled'][$_qid] = $ldap_query;
@@ -27,7 +26,6 @@ function _ldap_query_get_queries($qid, $type, $flatten, $reset) {
     }
   }
 
-
   if ($qid) {
     if (!isset($queries[$type][$qid])) {
       return FALSE;
@@ -39,30 +37,3 @@ function _ldap_query_get_queries($qid, $type, $flatten, $reset) {
     return $queries[$type];
   }
 }
-
-/**
- * see ldap_query_get_servers()
- */
-function _ldap_query_get_simpletest_queries($qid, $type, $flatten, $reset = TRUE) {
-  require_once('tests/LdapQueryTest.class.php');
-
-  $queries['all'] = LdapQueryTest::getLdapQueryObjects('all', 'all');
-
-  foreach ($queries['all'] as $_sid => $ldap_query) {
-    if ($ldap_query->status == 1) {
-      $queries['enabled'][$_qid] = $ldap_query;
-    }
-  }
-
-
-  if ($sid) {
-    if (!isset($queries[$type][$qid])) {
-      return FALSE;
-    }
-    return ($flatten) ? $queries[$type][$qid] : $queries[$type];
-  }
-
-  if (isset($queries[$type])) {
-    return $queries[$type];
-  }
-}
diff --git a/drupal7/sites/all/modules/ldap/ldap_query/ldap_query.info b/drupal7/sites/all/modules/ldap/ldap_query/ldap_query.info
index 3840384f..e0fd27a3 100644
--- a/drupal7/sites/all/modules/ldap/ldap_query/ldap_query.info
+++ b/drupal7/sites/all/modules/ldap/ldap_query/ldap_query.info
@@ -4,6 +4,7 @@ package = Lightweight Directory Access Protocol
 dependencies[] = ldap_servers
 
 core = 7.x
+php = 5.4
 
 files[] = LdapQuery.class.php
 files[] = LdapQueryAdmin.class.php
@@ -17,8 +18,8 @@ files[] = tests/ldap_query.test
 
 configure = admin/config/people/ldap/query
 
-; Information added by Drupal.org packaging script on 2018-08-13
-version = "7.x-2.4"
+; Information added by Drupal.org packaging script on 2019-04-20
+version = "7.x-2.5"
 core = "7.x"
 project = "ldap"
-datestamp = "1534201086"
+datestamp = "1555751588"
diff --git a/drupal7/sites/all/modules/ldap/ldap_query/ldap_query.install b/drupal7/sites/all/modules/ldap/ldap_query/ldap_query.install
index 92a433a7..c122c312 100644
--- a/drupal7/sites/all/modules/ldap/ldap_query/ldap_query.install
+++ b/drupal7/sites/all/modules/ldap/ldap_query/ldap_query.install
@@ -19,38 +19,38 @@ function ldap_query_uninstall() {
 
 }
 
-
 /**
  * Implements hook_schema().
  */
+
 /**
  * Implements hook_schema().
  */
 function ldap_query_schema() {
 
-  $schema['ldap_query'] = array(
-    'export' => array(
+  $schema['ldap_query'] = [
+    'export' => [
       'key' => 'qid',
       'key name' => 'Query Name',
       'identifier' => 'qid',
       'primary key' => 'query_numeric_id',
-      'api' => array(
+      'api' => [
         'owner' => 'ldap_query',
         'api' => 'ldap_query',
         'minimum_version' => 1,
         'current_version' => 1,
-      ),
-    ),
+      ],
+    ],
 
     'description' => "LDAP Query Data leveraged by other LDAP Modules",
-    'primary key' => array('query_numeric_id'),
-    'foreign keys' => array(
-      'sid' => array(
+    'primary key' => ['query_numeric_id'],
+    'foreign keys' => [
+      'sid' => [
         'table' => 'ldap_servers',
-        'columns' => array('sid' => 'sid'),
-      ),
-    ),
-  );
+        'columns' => ['sid' => 'sid'],
+      ],
+    ],
+  ];
   module_load_include('module', 'ldap_servers');
   ldap_servers_module_load_include('php', 'ldap_query', 'LdapQuery.class');
   $fields = LdapQuery::fields();
@@ -68,15 +68,16 @@ function ldap_query_schema() {
  */
 function ldap_query_update_7100() {
   module_load_include('inc', 'ldap_servers', 'ldap_servers.functions');
-  ldap_servers_module_load_include('module', 'ldap_servers', 'ldap_servers'); // get LDAP_SCOPE_SUBTREE constant
-  // make sure 'create_consumers' field is there for old 7.x-1.x-dev versions
+  // Get LDAP_SCOPE_SUBTREE constant.
+  ldap_servers_module_load_include('module', 'ldap_servers', 'ldap_servers');
+  // Make sure 'create_consumers' field is there for old 7.x-1.x-dev versions.
   if (!db_field_exists('ldap_query', 'scope')) {
-    db_add_field('ldap_query', 'scope', array(
+    db_add_field('ldap_query', 'scope', [
       'type' => 'int',
       'size' => 'small',
       'not null' => FALSE,
       'default' => LDAP_SCOPE_SUBTREE,
-    ));
+    ]);
     return t('"scope" field added to ldap_query table');
   }
   else {
@@ -86,28 +87,27 @@ function ldap_query_update_7100() {
 }
 
 /**
- * Make filter field type 'text' for longer filters
+ * Make filter field type 'text' for longer filters.
  */
 function ldap_query_update_7101() {
-  db_change_field('ldap_query', 'filter', 'filter', array(
+  db_change_field('ldap_query', 'filter', 'filter', [
     'type' => 'text',
     'not null' => FALSE,
-  ));
+  ]);
 
   return t('ldap_query table field "filter" changed to type "text"');
 }
 
-
 /**
- * make ldap_query.scope field small int instead of tiny int for ctools bug
+ * Make ldap_query.scope field small int instead of tiny int for ctools bug.
  */
 function ldap_query_update_7102() {
 
-  db_change_field('ldap_query', 'scope', 'scope', array(
+  db_change_field('ldap_query', 'scope', 'scope', [
     'type' => 'int',
     'size' => 'small',
     'not null' => TRUE,
     'default' => 0,
-  ));
+  ]);
 
 }
diff --git a/drupal7/sites/all/modules/ldap/ldap_query/ldap_query.module b/drupal7/sites/all/modules/ldap/ldap_query/ldap_query.module
index 1cb54242..1d0bf620 100644
--- a/drupal7/sites/all/modules/ldap/ldap_query/ldap_query.module
+++ b/drupal7/sites/all/modules/ldap/ldap_query/ldap_query.module
@@ -6,132 +6,144 @@
 
 define('LDAP_QUERY_MENU_BASE_PATH', 'admin/config/people/ldap');
 define('LDAP_QUERY_INDEX_BASE_PATH', 'admin/config/people/ldap/query');
-define('LDAP_QUERY_MENU_BASE_PATH_PARTS', 4); // for argument offsets
-
+// For argument offsets.
+define('LDAP_QUERY_MENU_BASE_PATH_PARTS', 4);
 
+/**
+ *
+ */
 function ldap_query_menu() {
   $menu_offset = 4;
 
-  $items['admin/config/people/ldap/query'] = array(
+  $items['admin/config/people/ldap/query'] = [
     'title' => 'Queries',
     'page callback' => 'ldap_query_index',
-    'page arguments' => array(),
+    'page arguments' => [],
     'weight' => 6,
     'type' => MENU_LOCAL_TASK,
-    'access arguments' => array('administer site configuration'),
+    'access arguments' => ['administer site configuration'],
     'file' => 'ldap_query.admin.inc',
-  );
+  ];
 
-  $items['admin/config/people/ldap/query/list'] = array(
+  $items['admin/config/people/ldap/query/list'] = [
     'title' => 'Queries',
     'type' => MENU_DEFAULT_LOCAL_TASK,
-  );
+  ];
 
-  $items['admin/config/people/ldap/query/add'] = array(
+  $items['admin/config/people/ldap/query/add'] = [
     'title' => 'Add LDAP Query',
     'page callback' => 'drupal_get_form',
-    'page arguments' => array('ldap_query_admin_form', 'add'),
+    'page arguments' => ['ldap_query_admin_form', 'add'],
     'type' => MENU_LOCAL_TASK + MENU_CONTEXT_INLINE,
     'weight' => 3,
-    'access arguments' => array('administer site configuration'),
+    'access arguments' => ['administer site configuration'],
     'file' => 'ldap_query.admin.inc',
-  );
+  ];
 
-  $items['admin/config/people/ldap/query/edit/%'] = array(
+  $items['admin/config/people/ldap/query/edit/%'] = [
     'title' => 'Edit LDAP Query',
     'page callback' => 'drupal_get_form',
-    'page arguments' => array('ldap_query_admin_form', 'edit', $menu_offset + 2),
-    'access arguments' => array('administer site configuration'),
+    'page arguments' => ['ldap_query_admin_form', 'edit', $menu_offset + 2],
+    'access arguments' => ['administer site configuration'],
     'file' => 'ldap_query.admin.inc',
-  );
+  ];
 
-  $items['admin/config/people/ldap/query/test/%'] = array(
+  $items['admin/config/people/ldap/query/test/%'] = [
     'title' => 'Test LDAP Query',
     'page callback' => 'ldap_query_test',
-    'page arguments' => array($menu_offset + 2),
-    'access arguments' => array('administer site configuration'),
+    'page arguments' => [$menu_offset + 2],
+    'access arguments' => ['administer site configuration'],
     'file' => 'ldap_query.admin.inc',
-  );
+  ];
 
-  $items['admin/config/people/ldap/query/delete/%'] = array(
+  $items['admin/config/people/ldap/query/delete/%'] = [
     'title' => 'Delete LDAP Query',
     'page callback' => 'drupal_get_form',
-    'page arguments' => array('ldap_query_admin_delete', $menu_offset + 1, $menu_offset + 2),
-    'access arguments' => array('administer site configuration'),
+    'page arguments' => ['ldap_query_admin_delete', $menu_offset + 1, $menu_offset + 2],
+    'access arguments' => ['administer site configuration'],
     'file' => 'ldap_query.admin.inc',
-  );
+  ];
 
-  $items['admin/config/people/ldap/query/enable/%'] = array(
+  $items['admin/config/people/ldap/query/enable/%'] = [
     'title' => 'Enable LDAP Query',
     'page callback' => 'drupal_get_form',
-    'page arguments' => array('ldap_query_admin_enable_disable', $menu_offset + 1, $menu_offset + 2),
-    'access arguments' => array('administer site configuration'),
+    'page arguments' => ['ldap_query_admin_enable_disable', $menu_offset + 1, $menu_offset + 2],
+    'access arguments' => ['administer site configuration'],
     'file' => 'ldap_query.admin.inc',
-  );
+  ];
 
-  $items['admin/config/people/ldap/query/disable/%'] = array(
+  $items['admin/config/people/ldap/query/disable/%'] = [
     'title' => 'Enable LDAP Query',
     'page callback' => 'drupal_get_form',
-    'page arguments' => array('ldap_query_admin_enable_disable', $menu_offset + 1, $menu_offset + 2),
-    'access arguments' => array('administer site configuration'),
+    'page arguments' => ['ldap_query_admin_enable_disable', $menu_offset + 1, $menu_offset + 2],
+    'access arguments' => ['administer site configuration'],
     'file' => 'ldap_query.admin.inc',
-  );
+  ];
 
   return $items;
 }
 
-
-
+/**
+ *
+ */
 function ldap_query_theme() {
-  return array(
-    'ldap_query_list' => array(
-      'variables' => array('ldap_query' => NULL, 'actions' => TRUE, 'type' => 'table'),
+  return [
+    'ldap_query_list' => [
+      'variables' => ['ldap_query' => NULL, 'actions' => TRUE, 'type' => 'table'],
       'render element' => 'element',
-      'file' => 'ldap_query.theme.inc'
-    ),
-    'ldap_query' => array(
-      'variables' => array('ldap_server' => NULL, 'actions' => FALSE, 'type' => 'detail'),
+      'file' => 'ldap_query.theme.inc',
+    ],
+    'ldap_query' => [
+      'variables' => ['ldap_server' => NULL, 'actions' => FALSE, 'type' => 'detail'],
       'render element' => 'element',
-      'file' => 'ldap_query.theme.inc'
-    ),
-    'ldap_query_results' => array(
-      'variables' => array('ldap_query' => NULL, 'result' => FALSE, 'show_query' => TRUE),
+      'file' => 'ldap_query.theme.inc',
+    ],
+    'ldap_query_results' => [
+      'variables' => ['ldap_query' => NULL, 'result' => FALSE, 'show_query' => TRUE],
       'render element' => 'element',
-      'file' => 'ldap_query.theme.inc'
-    ),
-  );
+      'file' => 'ldap_query.theme.inc',
+    ],
+  ];
 }
 
+/**
+ *
+ */
 function ldap_query_cache_clear() {
   $discard = ldap_query_get_queries(NULL, 'all', FALSE, TRUE);
 }
+
 /**
+ * Return ldap query objects.
  *
- * return ldap query objects
+ * @param string $qid
+ * @param string $type
+ *   'all', 'enabled',.
+ * @param bool $flatten
+ *   signifies if array or single object returned.  Only works if sid is specified.
+ * @param bool $reset
+ *   do not use cached or static result.
  *
- * @param alphanum $qid
- * @param enum $type 'all', 'enabled',
- * @param boolean $flatten signifies if array or single object returned.  Only works if sid is specified
- * @param boolean $reset do not use cached or static result
- * @return - array of server conf object keyed on sid
- *         - single server conf object (if flatten == TRUE)
+ * @return array
+ *   of server conf object keyed on sid
+ *   - single server conf object (if flatten == TRUE)
  */
 function ldap_query_get_queries($qid = NULL, $type, $flatten = FALSE, $reset = FALSE) {
   ldap_servers_module_load_include('inc', 'ldap_query', 'ldap_query');
-  if (variable_get('ldap_simpletest', FALSE)) {
-    return _ldap_query_get_simpletest_queries($qid, $type, $flatten, $reset);
-  }
-  else {
-    return _ldap_query_get_queries($qid, $type, $flatten, $reset);
-  }
+  return _ldap_query_get_queries($qid, $type, $flatten, $reset);
 }
 
+/**
+ *
+ */
 function ldap_query_fields() {
   ldap_servers_module_load_include('php', 'ldap_query', 'LdapQuery.class');
   return LdapQuery::fields();
 }
 
-
+/**
+ *
+ */
 function ldap_query_help($path, $arg) {
 
   $help = '<h3>' . t('LDAP Query Module') . '</h3><p>' .
